Bug 171372 - Kernel crash when exiting X11 with i915G driver
Kernel crash when exiting X11 with i915G driver
Status: CLOSED DUPLICATE of bug 163238
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
RHEL4U3NAK
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-21 05:50 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-24 12:03:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2005-10-21 05:50:16 EDT
The 2.6.9-22.ELsmp kernel crashes on X11 exit when using the i915 driver to
drive this Intel 915G video chip.

The 2.6.9-22.EL (non-smp) kernel, and 2.6.9-11.EL (both UP and SMP) do not
exhibit the problem.

Oct  6 11:25:38 nathan kernel: [drm] Initialized i915 1.1.0 20040405 on minor 0:
Oct  6 11:25:38 nathan kernel: mtrr: base(0xe0020000) is not aligned on a
size(0x800000) boundary
Oct  6 11:25:39 nathan kernel: ------------[ cut here ]------------
Oct  6 11:25:39 nathan kernel: kernel BUG at arch/i386/mm/pageattr.c:155!
Oct  6 11:25:39 nathan kernel: invalid operand: 0000 [#1]
Oct  6 11:25:39 nathan kernel: SMP
Oct  6 11:25:39 nathan kernel: Modules linked in: i915 parport_pc lp parport
autofs4 i2c_dev i2c_core nfs lockd sunrpc dm_mirror dm_mod button battery ac md5
ipv6 joydev uhci_hcd ehci_hcd snd_intel8x0 snd_ac97_codec snd_pcm_oss
snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi
snd_seq_device snd soundcore tg3 floppy ext3 jbd ata_piix libata sd_mod scsi_mod
Oct  6 11:25:39 nathan kernel: CPU:    0
Oct  6 11:25:39 nathan kernel: EIP:    0060:[<c011bbd1>]    Not tainted VLI
Oct  6 11:25:39 nathan kernel: EFLAGS: 00210002   (2.6.9-22.ELsmp)
Oct  6 11:25:39 nathan kernel: EIP is at __change_page_attr+0x332/0x400
Oct  6 11:25:39 nathan kernel: eax: 00000080   ebx: 00000080   ecx: 00000000  
edx: 00000000
Oct  6 11:25:39 nathan kernel: esi: 00000163   edi: 80000000   ebp: c0007d88  
esp: c1b08db0
Oct  6 11:25:39 nathan kernel: ds: 007b   es: 007b   ss: 0068
Oct  6 11:25:39 nathan kernel: Process X (pid: 1824, threadinfo=c1b08000
task=f6a607b0)
Oct  6 11:25:39 nathan kernel: Stack: 00000000 00000000 00000000 00000000
00000000 00000000 00000000 00000000
Oct  6 11:25:39 nathan kernel:        00000000 00000000 c1000000 c10000e0
f63ff000 00000163 80000000 c16c7fe0
Oct  6 11:25:39 nathan kernel:        00000001 80000000 00000010 c1020000
c16c7fe0 00000000 00000000 00000001
Oct  6 11:25:39 nathan kernel: Call Trace:
Oct  6 11:25:39 nathan kernel:  [<c011bccc>] change_page_attr+0x2d/0x50
Oct  6 11:25:39 nathan kernel:  [<c020d974>] unmap_page_from_agp+0x17/0x24
Oct  6 11:25:39 nathan kernel:  [<c020e707>] agp_generic_destroy_page+0x21/0x44
Oct  6 11:25:39 nathan kernel:  [<c020daa5>] agp_free_memory+0x62/0x82
Oct  6 11:25:39 nathan kernel:  [<c020ccac>] agp_remove_all_memory+0x12/0x16
Oct  6 11:25:39 nathan kernel:  [<c020ccde>] agp_remove_controller+0x2e/0x5e
Oct  6 11:25:39 nathan kernel:  [<c020d044>] agp_release+0x61/0x9e
Oct  6 11:25:39 nathan kernel:  [<c015a8fe>] __fput+0x55/0x100
Oct  6 11:25:39 nathan kernel:  [<c0159545>] filp_close+0x59/0x5f
Oct  6 11:25:39 nathan kernel:  [<c01235cf>] put_files_struct+0x57/0xc0
Oct  6 11:25:39 nathan kernel:  [<c01241e5>] do_exit+0x227/0x3de
Oct  6 11:25:39 nathan kernel:  [<c0124487>] sys_exit_group+0x0/0xd
Oct  6 11:25:39 nathan kernel:  [<c012c56b>] get_signal_to_deliver+0x350/0x378
Oct  6 11:25:39 nathan kernel:  [<c0105ba4>] do_signal+0x55/0xd9
Oct  6 11:25:39 nathan kernel:  [<c0169fc5>] __pollwait+0x0/0x95
Oct  6 11:25:39 nathan kernel:  [<c016a808>] sys_select+0x430/0x43a
Oct  6 11:25:39 nathan kernel:  [<c0105c50>] do_notify_resume+0x28/0x38
Oct  6 11:25:39 nathan kernel:  [<c02d111a>] work_notifysig+0x13/0x15
Oct  6 11:25:39 nathan kernel: Code: 89 f0 09 da 89 54 24 44 09 c8 8b 4c 24 44
89 44 24 40 8b 5c 24 40 8b 07 8b 57 04 f0 0f c7 0f 75 f5 8b 44 24 2c f0 ff 48 04
eb 08 <0f> 0b 9b 00 d5 26 2e c0 a1 8c 04 32 c0 a8 08 0f 84 af 00 00 00
Oct  6 11:25:39 nathan kernel:  <0>Fatal exception: panic in 5 seconds

Note You need to log in before you can comment on or make changes to this bug.